OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_RectangularCompositeSurface Class Reference

`#include <StepGeom_RectangularCompositeSurface.hxx>`

Inheritance diagram for StepGeom_RectangularCompositeSurface:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_RectangularCompositeSurface ()
| Returns a RectangularCompositeSurface .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_HArray2OfSurfacePatch)&aSegments)
Standard_EXPORT void | SetSegments (const Handle(StepGeom_HArray2OfSurfacePatch)&aSegments)
Standard_EXPORT Handle_StepGeom_HArray2OfSurfacePatch | Segments () const
Standard_EXPORT Handle_StepGeom_SurfacePatch | SegmentsValue (const Standard_Integer num1, const Standard_Integer num2) const
Standard_EXPORT Standard_Integer | NbSegmentsI () const
Standard_EXPORT Standard_Integer | NbSegmentsJ () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_HArray2OfSurfacePatch | segments

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_RectangularCompositeSurface::StepGeom_RectangularCompositeSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepGeom_RectangularCompositeSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_BoundedSurface.

virtual Standard_EXPORT void StepGeom_RectangularCompositeSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_HArray2OfSurfacePatch)& | aSegments
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_RectangularCompositeSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Standard_Integer StepGeom_RectangularCompositeSurface::NbSegmentsI | ( |  | ) | const

Standard_EXPORT Standard_Integer StepGeom_RectangularCompositeSurface::NbSegmentsJ | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_HArray2OfSurfacePatch StepGeom_RectangularCompositeSurface::Segments | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_SurfacePatch StepGeom_RectangularCompositeSurface::SegmentsValue | ( | const Standard_Integer | num1,
|  | const Standard_Integer | num2
| ) | const

Standard_EXPORT void StepGeom_RectangularCompositeSurface::SetSegments | ( | const Handle(StepGeom_HArray2OfSurfacePatch)& | aSegments | ) |

## Field Documentation

Handle_StepGeom_HArray2OfSurfacePatch StepGeom_RectangularCompositeSurface::segments`[private]`

The documentation for this class was generated from the following file:

- StepGeom_RectangularCompositeSurface.hxx